Skip to content
Coritan Docs

Organization API: Customer Portal: Webhooks

The 3 Organization API operations for webhooks.

View as Markdown

Part of Customer Portal.

GET /api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/webhooks

Name In Type Required
org_slug path string yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/webhooks

Name In Type Required
org_slug path string yes
service_id path integer yes

application/json (required)

Field Type Required
url string yes
events array of string no
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/webhooks/{webhook_id}

Name In Type Required
webhook_id path integer yes
org_slug path string yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.